Bug 1258899 (jeremeamia/superclosure)

Summary: Review Request: php-jeremeamia-superclosure - Serialize Closure objects, including their context and binding
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Shawn Iwinski <shawn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, shawn
Target Milestone: ---Flags: shawn: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.1.0-1.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-18 01:31:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
phpcompatinfo-full.log
none
phpcompatinfo-lib.log
none
fedora-review.txt none

Description Remi Collet 2015-09-01 13:36:29 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9d06cb5bcd24d0d2724e58573c610f53856e14f0/php/php-jeremeamia-superclosure/php-jeremeamia-superclosure.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-jeremeamia-superclosure-2.1.0-1.remi.src.rpm
Description: 
Even though serializing closures is "not allowed" by PHP,
the SuperClosure library makes it possible

To use this library, you just have to add, in your project:
  require-once '/usr/share/php/SuperClosure/autoload.php';

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-09-04 15:52:20 UTC
Created attachment 1070343 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 2 Shawn Iwinski 2015-09-04 15:52:48 UTC
Created attachment 1070344 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 3 Shawn Iwinski 2015-09-04 15:53:40 UTC
Created attachment 1070345 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1258899
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-09-04 15:55:50 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2015-09-04 16:13:39 UTC
Thanks!


New Package SCM Request
=======================
Package Name: php-jeremeamia-superclosure
Short Description: Serialize Closure objects, including their context and binding
Upstream URL: https://github.com/jeremeamia/super_closure
Owners: remi
Branches: f22 f23 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-09-04 20:56:16 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-09-05 06:07:22 UTC
php-jeremeamia-superclosure-2.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15138

Comment 8 Fedora Update System 2015-09-06 17:51:56 UTC
php-jeremeamia-superclosure-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-jeremeamia-superclosure'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7941

Comment 9 Fedora Update System 2015-09-06 18:51:54 UTC
php-jeremeamia-superclosure-2.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-jeremeamia-superclosure'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15138

Comment 10 Fedora Update System 2015-09-06 21:57:06 UTC
php-jeremeamia-superclosure-2.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-jeremeamia-superclosure'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15137

Comment 11 Fedora Update System 2015-09-18 01:31:54 UTC
php-jeremeamia-superclosure-2.1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-18 18:33:57 UTC
php-jeremeamia-superclosure-2.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-25 19:54:51 UTC
php-jeremeamia-superclosure-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.